using System;

internal sealed class Delegate428 : MulticastDelegate
{
	public extern string Invoke(object object_0, int int_0);

	public static string smethod_0(object object_0, int int_0, Delegate428 delegate428_1)
	{
		return delegate428_1(object_0, int_0);
	}

	public extern Delegate428(object object_0, IntPtr intptr_0);

	static Delegate428()
	{
		Class10.smethod_13(typeof(Delegate428).TypeHandle);
	}

	internal static Delegate428 delegate428_0;
}
